Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035444
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorN/A2017-03-07 12:482017-03-24 12:30
ReporterguillermogilView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revisionc5f4e5e866a4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035444: DeleteLine logic is duplicated across several functionalities

DescriptionDeleteLine logic is duplicated across several functionalities.
Hooks, approvals and common functionality should be inside of a common function.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files? file icon issue35444.commit [^] (18,154 bytes) 2017-03-16 11:30
diff file icon issue35444_16Q4.diff [^] (15,860 bytes) 2017-03-20 16:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0035443 closedmigueldejuana OBPOS_PreDeleteLine Hook cannot be cancelled 

-  Notes
(0095319)
hgbot (developer)
2017-03-16 13:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c5f4e5e866a4e98fe96689bb0337b1c8d18c658a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Mar 14 08:35:49 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c5f4e5e866a4e98fe96689bb0337b1c8d18c658a [^]

Fixed issue 0035444: DeleteLine logic is duplicated across several functionalities

- Remove unneeded hook file
- Gather delete line logic in pointofsale.js

---
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
R web/org.openbravo.retail.posterminal/js/components/hookPreDeleteLine.js
---

- Issue History
Date Modified Username Field Change
2017-03-07 12:48 guillermogil New Issue
2017-03-07 12:48 guillermogil Assigned To => Retail
2017-03-07 12:48 guillermogil Triggers an Emergency Pack => No
2017-03-07 12:49 guillermogil Relationship added blocks 0035443
2017-03-08 10:15 migueldejuana Assigned To Retail => migueldejuana
2017-03-08 10:15 migueldejuana Status new => scheduled
2017-03-16 11:30 migueldejuana File Added: issue35444.commit
2017-03-16 13:31 hgbot Checkin
2017-03-16 13:31 hgbot Note Added: 0095319
2017-03-16 13:31 hgbot Status scheduled => resolved
2017-03-16 13:31 hgbot Resolution open => fixed
2017-03-16 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c5f4e5e866a4e98fe96689bb0337b1c8d18c658a [^]
2017-03-20 16:49 migueldejuana File Added: issue35444_16Q4.diff
2017-03-24 12:30 marvintm Review Assigned To => marvintm
2017-03-24 12:30 marvintm Status resolved => closed
2017-03-24 12:30 marvintm Fixed in Version => RR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker